groups:
- name: registry-gitlab-com-status.rules
  rules:

  - alert: RegistryDown
    expr: probe_http_status_code{instance="https://registry.gitlab.com",job="blackbox"}
      != 200
    for: 5m
    labels:
      pager: pagerduty
      severity: s1
      alert_type: symptom
    annotations:
      description: GitLab registry is down for 1 minute! Consider !tweet 'GitLab Registry
        is not responding, we are investigating the root cause.' if problem exists.
      runbook: docs/registry/gitlab-registry.md
      title: GitLab Registry is down for 1 minute

  - alert: Detecting5xxForRegistry
    expr: |
      sum(frontend_code:haproxy_frontend_http_responses_total:irate1m{type="registry",frontend=~"https?",tier="lb",code="5xx"}) /
        sum(frontend_code:haproxy_frontend_http_responses_total:irate1m{type="registry",frontend=~"https?",tier="lb"}) > 0.1
    for: 5m
    labels:
      pager: pagerduty
      severity: s1
      alert_type: symptom
    annotations:
      description: >
        Haproxy is seeing/reporting 5xx HTTP responses.  Investigate the following
          * The Registry is taking too long to respond
          * The Registry is down
          * The Registry is throwing Errors
      runbook: docs/registry/gitlab-registry.md
      title: 5xx Error Rate on Docker Registry Load Balancers
